Gentoo Archives: gentoo-commits

From: "Mike Frysinger (vapier)" <vapier@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-fs/cryptsetup: ChangeLog cryptsetup-1.2.0-r1.ebuild cryptsetup-1.1.3-r3.ebuild
Date: Mon, 17 Jan 2011 19:51:59
Message-Id: 20110117195149.1069D20054@flycatcher.gentoo.org
vapier      11/01/17 19:51:48

  Modified:             ChangeLog cryptsetup-1.2.0-r1.ebuild
                        cryptsetup-1.1.3-r3.ebuild
  Log:
  Require new dev-libs/libgcrypt[static-libs] too #351810.
  
  (Portage version: 2.2.0_alpha13/cvs/Linux x86_64)

Revision  Changes    Path
1.110                sys-fs/cryptsetup/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/ChangeLog?rev=1.110&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/ChangeLog?rev=1.110&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/ChangeLog?r1=1.109&r2=1.110

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/ChangeLog,v
retrieving revision 1.109
retrieving revision 1.110
diff -u -r1.109 -r1.110
--- ChangeLog	15 Jan 2011 23:44:17 -0000	1.109
+++ ChangeLog	17 Jan 2011 19:51:48 -0000	1.110
@@ -1,6 +1,10 @@
 # ChangeLog for sys-fs/cryptsetup
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/ChangeLog,v 1.109 2011/01/15 23:44:17 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/ChangeLog,v 1.110 2011/01/17 19:51:48 vapier Exp $
+
+  17 Jan 2011; Mike Frysinger <vapier@g.o>
+  cryptsetup-1.1.3-r3.ebuild, cryptsetup-1.2.0-r1.ebuild:
+  Require new dev-libs/libgcrypt[static-libs] too #351810.
 
   15 Jan 2011; Mike Frysinger <vapier@g.o>
   cryptsetup-1.2.0-r1.ebuild:



1.5                  sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild?r1=1.4&r2=1.5

Index: cryptsetup-1.2.0-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- cryptsetup-1.2.0-r1.ebuild	15 Jan 2011 23:44:17 -0000	1.4
+++ cryptsetup-1.2.0-r1.ebuild	17 Jan 2011 19:51:48 -0000	1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild,v 1.4 2011/01/15 23:44:17 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.2.0-r1.ebuild,v 1.5 2011/01/17 19:51:48 vapier Exp $
 
 EAPI="2"
 
@@ -27,7 +27,10 @@
 	selinux? ( sys-libs/libselinux )
 	!sys-fs/cryptsetup-luks"
 DEPEND="${RDEPEND}
-	static? ( || ( >=dev-libs/libgpg-error-1.10[static-libs] <dev-libs/libgpg-error-1.10 ) )"
+	static? (
+		|| ( >=dev-libs/libgpg-error-1.10[static-libs] <dev-libs/libgpg-error-1.10 )
+		dev-libs/libgcrypt[static-libs]
+	)"
 
 pkg_setup() {
 	local CONFIG_CHECK="~DM_CRYPT ~CRYPTO ~CRYPTO_CBC"



1.2                  sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild?r1=1.1&r2=1.2

Index: cryptsetup-1.1.3-r3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- cryptsetup-1.1.3-r3.ebuild	12 Jan 2011 23:36:42 -0000	1.1
+++ cryptsetup-1.1.3-r3.ebuild	17 Jan 2011 19:51:48 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild,v 1.1 2011/01/12 23:36:42 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/cryptsetup/cryptsetup-1.1.3-r3.ebuild,v 1.2 2011/01/17 19:51:48 vapier Exp $
 
 EAPI="2"
 
@@ -18,7 +18,7 @@
 
 S=${WORKDIR}/${MY_P}
 
-DEPEND=">=sys-fs/lvm2-2.02.64
+RDEPEND=">=sys-fs/lvm2-2.02.64
 	>=dev-libs/libgcrypt-1.1.42
 	>=dev-libs/libgpg-error-1.0-r1
 	>=dev-libs/popt-1.7
@@ -26,6 +26,11 @@
 	|| ( >=sys-libs/e2fsprogs-libs-1.41 <sys-fs/e2fsprogs-1.41 )
 	selinux? ( sys-libs/libselinux )
 	!sys-fs/cryptsetup-luks"
+DEPEND="${RDEPEND}
+	!dynamic? (
+		|| ( >=dev-libs/libgpg-error-1.10[static-libs] <dev-libs/libgpg-error-1.10 )
+		dev-libs/libgcrypt[static-libs]
+	)"
 
 pkg_setup() {
 	local CONFIG_CHECK="~DM_CRYPT ~CRYPTO ~CRYPTO_CBC"